summaryrefslogtreecommitdiffstats
path: root/bsp/meta-sancloud/scripts/release-tag.sh
diff options
context:
space:
mode:
authortakeshi_hoshina <takeshi_hoshina@mail.toyota.co.jp>2020-11-02 11:07:33 +0900
committertakeshi_hoshina <takeshi_hoshina@mail.toyota.co.jp>2020-11-02 11:07:33 +0900
commit1c7d6584a7811b7785ae5c1e378f14b5ba0971cf (patch)
treecd70a267a5ef105ba32f200aa088e281fbd85747 /bsp/meta-sancloud/scripts/release-tag.sh
parent4204309872da5cb401cbb2729d9e2d4869a87f42 (diff)
recipes
Diffstat (limited to 'bsp/meta-sancloud/scripts/release-tag.sh')
-rwxr-xr-xbsp/meta-sancloud/scripts/release-tag.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/bsp/meta-sancloud/scripts/release-tag.sh b/bsp/meta-sancloud/scripts/release-tag.sh
new file mode 100755
index 00000000..a44ed84b
--- /dev/null
+++ b/bsp/meta-sancloud/scripts/release-tag.sh
@@ -0,0 +1,15 @@
+#! /bin/bash
+
+set -euo pipefail
+
+if [[ $# != 1 ]]; then
+ echo "ERROR: A single argument must be given to this script to specify the version"
+ exit 1
+fi
+
+VERSION=$1
+
+echo "meta-sancloud ${VERSION}" > tag.txt
+markdown-extract -fr "^${VERSION}" ChangeLog.md >> tag.txt
+git tag -a -F tag.txt "${VERSION}" HEAD
+rm -f tag.txt